<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_shock_scalar Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">cfd_shock_scalar Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:acbb9b68bffb6bdf6e93cf118e04b93d4"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__scalar.html#acbb9b68bffb6bdf6e93cf118e04b93d4">scalar_cd2_sc_residual</a> (scalar, cfd, rhoU, rhoV, rhoW, dt)</td></tr>
<tr class="separator:acbb9b68bffb6bdf6e93cf118e04b93d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a339b46f5fcf037e42911a406c185de"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__scalar.html#a7a339b46f5fcf037e42911a406c185de">scalar_quick_sc_residual</a> (scalar, cfd, rhoU, rhoV, rhoW, dt)</td></tr>
<tr class="separator:a7a339b46f5fcf037e42911a406c185de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d3e31d1466f29be876778fcd2fd7e6f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__scalar.html#a5d3e31d1466f29be876778fcd2fd7e6f">scalar_weno3_sc_residual</a> (scalar, cfd, rhoU, rhoV, rhoW, dt)</td></tr>
<tr class="separator:a5d3e31d1466f29be876778fcd2fd7e6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca78d082cd551258d36e0e0e491b6e5e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__scalar.html#aca78d082cd551258d36e0e0e491b6e5e">scalar_weno5_sc_residual</a> (scalar, cfd, rhoU, rhoV, rhoW, dt)</td></tr>
<tr class="separator:aca78d082cd551258d36e0e0e491b6e5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="acbb9b68bffb6bdf6e93cf118e04b93d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbb9b68bffb6bdf6e93cf118e04b93d4">&#9670;&nbsp;</a></span>scalar_cd2_sc_residual()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_shock_scalar::scalar_cd2_sc_residual </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd">apply_bc()</a>, <a class="el" href="namespacecfd__hybrid__conv.html#a7de390e919ecb1406d0263f88acd2f94">cfd_hybrid_conv::cfd_hybrid_scalar()</a>, <a class="el" href="namespacecfd__shock__scalar__schemes.html#a5edfe3bca726a0533e40ca4dff1cedcd">cfd_shock_scalar_schemes::cfd_shock_scalar_scheme()</a>, <a class="el" href="namespacelink__metric__generic.html#a61d3672adefc78b1c70c4c67cd61d8fb">link_metric_generic::div_u_fv</a>, <a class="el" href="namespacelink__metric__generic.html#a6e8a3844bdeb012c65b2e1dbec3b812a">link_metric_generic::div_v_fv</a>, <a class="el" href="namespacelink__metric__generic.html#ad1aa14a241747db97a5899ba867be926">link_metric_generic::div_w_fv</a>, <a class="el" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851">scalar_defs::get_scalar()</a>, <a class="el" href="namespacelink__metric__generic.html#acd2609653671636064c4f879703b7380">link_metric_generic::grad_x</a>, <a class="el" href="namespacelink__metric__generic.html#a7cd28559335ee3d4e67220e556c4dea7">link_metric_generic::grad_y</a>, <a class="el" href="namespacelink__metric__generic.html#ab7f33811c3c14f29916ef2f97ff617e0">link_metric_generic::grad_z</a>, <a class="el" href="namespacelink__metric__generic.html#a631df29052d75ffebf401f9002acdeeb">link_metric_generic::interp_sc_x</a>, <a class="el" href="namespacelink__metric__generic.html#ac0a3ec81a980c341e07c56a843837c78">link_metric_generic::interp_sc_y</a>, <a class="el" href="namespacelink__metric__generic.html#aae07af3a1e3f2de8c576e08c998c4546">link_metric_generic::interp_sc_z</a>, <a class="el" href="namespacelink__metric__generic.html#a4174267708c28fcd358fb4fe18b12e13">link_metric_generic::link_metric_generic_to()</a>, <a class="el" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623">link_sd::link_sd_to()</a>, <a class="el" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b">scalar_cd2_func::scalar_cd2_free_memory()</a>, <a class="el" href="namespacescalar__cd2__func.html#a262d18c5b090a79ef72e1433b1e0ad91">scalar_cd2_func::scalar_cd2_operator()</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, and <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__shock__scalar_acbb9b68bffb6bdf6e93cf118e04b93d4_cgraph.png" border="0" usemap="#namespacecfd__shock__scalar_acbb9b68bffb6bdf6e93cf118e04b93d4_cgraph" alt=""/></div>
<map name="namespacecfd__shock__scalar_acbb9b68bffb6bdf6e93cf118e04b93d4_cgraph" id="namespacecfd__shock__scalar_acbb9b68bffb6bdf6e93cf118e04b93d4_cgraph">
<area shape="rect" id="node2" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd" title="apply_bc" alt="" coords="275,627,350,653"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__conv.html#a7de390e919ecb1406d0263f88acd2f94" title="cfd_hybrid_conv::cfd\l_hybrid_scalar" alt="" coords="241,678,384,719"/>
<area shape="rect" id="node7" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623" title="link_sd::link_sd_to" alt="" coords="747,997,878,1024"/>
<area shape="rect" id="node32" href="namespacecfd__shock__scalar__schemes.html#a5edfe3bca726a0533e40ca4dff1cedcd" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_scheme" alt="" coords="220,1175,405,1217"/>
<area shape="rect" id="node34" href="namespacelink__metric__generic.html#a4174267708c28fcd358fb4fe18b12e13" title="link_metric_generic\l::link_metric_generic_to" alt="" coords="733,1201,893,1242"/>
<area shape="rect" id="node45" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="234,1368,391,1395"/>
<area shape="rect" id="node46" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b" title="scalar_cd2_func::scalar\l_cd2_free_memory" alt="" coords="233,1419,393,1461"/>
<area shape="rect" id="node47" href="namespacescalar__cd2__func.html#a262d18c5b090a79ef72e1433b1e0ad91" title="scalar_cd2_func::scalar\l_cd2_operator" alt="" coords="233,1485,393,1526"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__conv__weno3.html#a6c297ab06dd82362aeaee29435844d2f" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_coeff" alt="" coords="473,155,644,197"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__conv__weno3.html#a29e467aab409f3075be0ee9b7d8dcabb" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_flux" alt="" coords="477,370,640,411"/>
<area shape="rect" id="node14" href="namespacecfd__hybrid__conv__weno5.html#a53b4d04469f111ed15d7b1c5be7d43ac" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_coeff" alt="" coords="473,435,644,477"/>
<area shape="rect" id="node19" href="namespacecfd__hybrid__conv__weno5.html#aab4fc365cd08e39cb3e358a716e9a9a9" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_flux" alt="" coords="477,579,640,621"/>
<area shape="rect" id="node20" href="namespacecfd__hybrid__conv__weno5symbo.html#ab04e88688c59f1f26c106e2361786f9b" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_coeff" alt="" coords="453,645,664,686"/>
<area shape="rect" id="node25" href="namespacecfd__hybrid__conv__weno5symbo.html#a042283c12fa674c3429446ebb9a7f3f3" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_flux" alt="" coords="457,710,660,751"/>
<area shape="rect" id="node26" href="namespacecfd__hybrid__conv__weno5symoo.html#ad47f931517c8ebc101b61174560a4b08" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_coeff" alt="" coords="453,801,664,842"/>
<area shape="rect" id="node31" href="namespacecfd__hybrid__conv__weno5symoo.html#a5f521b49275d5692a09e8122103c2f72" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_flux" alt="" coords="457,866,660,907"/>
<area shape="rect" id="node5" href="cfd__hybrid__conv__weno3_8f90.html#a22617f53982044a2a73090a32b2e9bea" title="apply_weno3_bc" alt="" coords="753,5,872,32"/>
<area shape="rect" id="node6" href="namespacelink__hybrid__weno3.html#ae5a58107dd3fdfb8b69ad5c37004aa94" title="link_hybrid_weno3::\llink_hybrid_weno3_to" alt="" coords="739,57,886,98"/>
<area shape="rect" id="node11" href="namespacecfd__hybrid__conv__weno3.html#ae7d8750fe3b316286f3854f6d39786a0" title="cfd_hybrid_conv_weno3\l::timeslopelimiter" alt="" coords="731,122,894,163"/>
<area shape="rect" id="node12" href="namespacelink__hybrid__weno3.html#a4e6b6ac4e6dd1ad161d6ba1e2fde2dca" title="link_hybrid_weno3::\lunlink_hybrid_weno3" alt="" coords="741,187,884,229"/>
<area shape="rect" id="node8" href="namespacelink__partition.html#a80c874965306080521411b5c4725e958" title="link_partition::link\l_partition_to" alt="" coords="990,925,1113,966"/>
<area shape="rect" id="node9" href="namespacelink__geometry.html#a414b35fc02467135477daee3901f0e1e" title="link_geometry::link\l_geometry_to" alt="" coords="986,990,1117,1031"/>
<area shape="rect" id="node10" href="namespacelink__masks.html#a6d5f311b77771cc521bb3d1b50c608fa" title="link_masks::link_masks_to" alt="" coords="961,1056,1141,1083"/>
<area shape="rect" id="node15" href="cfd__hybrid__conv__weno5_8f90.html#ac7166c5326e786da02bebb9cbd4d3628" title="apply_weno5_bc" alt="" coords="753,253,872,280"/>
<area shape="rect" id="node16" href="namespacelink__hybrid__weno5.html#a68bf5b362a0be00d3f8563f24bad37a0" title="link_hybrid_weno5::\llink_hybrid_weno5_to" alt="" coords="739,305,886,346"/>
<area shape="rect" id="node17" href="namespacecfd__hybrid__conv__weno5.html#abf00e5ca8af165a302c0ce5a0ae3406a" title="cfd_hybrid_conv_weno5\l::timeslopelimiter" alt="" coords="731,370,894,411"/>
<area shape="rect" id="node18" href="namespacelink__hybrid__weno5.html#a9a74c7b05d97c5bb7e7d13a215a820e8" title="link_hybrid_weno5::\lunlink_hybrid_weno5" alt="" coords="741,435,884,477"/>
<area shape="rect" id="node21" href="cfd__hybrid__conv__weno5__symbo_8f90.html#aec04893a196b3ed1003b9dfc1de536e1" title="apply_weno5symbo_bc" alt="" coords="733,501,892,528"/>
<area shape="rect" id="node22" href="namespacelink__hybrid__weno5symbo.html#a74b18f83ee1f7b5ae25f560f9f8076be" title="link_hybrid_weno5symbo\l::link_hybrid_weno5symbo_to" alt="" coords="715,553,910,594"/>
<area shape="rect" id="node23" href="namespacecfd__hybrid__conv__weno5symbo.html#a83d9db14739aa426ba5de4ed6cf18f0e" title="cfd_hybrid_conv_weno5symbo\l::timeslopelimiter" alt="" coords="712,618,913,659"/>
<area shape="rect" id="node24" href="namespacelink__hybrid__weno5symbo.html#a91b6b54618c62e442055fd0f805ae9f4" title="link_hybrid_weno5symbo\l::unlink_hybrid_weno5symbo" alt="" coords="717,683,908,725"/>
<area shape="rect" id="node27" href="cfd__hybrid__conv__weno5__symoo_8f90.html#ad8b8d0c03a0847f0657f3f3d92c63c55" title="apply_weno5symoo_bc" alt="" coords="733,749,892,776"/>
<area shape="rect" id="node28" href="namespacelink__hybrid__weno5symoo.html#a2ac87e5a2a0e94eb97d0241800d40a66" title="link_hybrid_weno5symoo\l::link_hybrid_weno5symoo_to" alt="" coords="715,801,910,842"/>
<area shape="rect" id="node29" href="namespacecfd__hybrid__conv__weno5symoo.html#a7babad47c67392a3f5d829e30446d731" title="cfd_hybrid_conv_weno5symoo\l::timeslopelimiter" alt="" coords="712,866,913,907"/>
<area shape="rect" id="node30" href="namespacelink__hybrid__weno5symoo.html#aaa53e296a8df1dd5b299133019437080" title="link_hybrid_weno5symoo\l::unlink_hybrid_weno5symoo" alt="" coords="717,931,908,973"/>
<area shape="rect" id="node33" href="namespacecfd__shock__schemes.html#a523bf6447d713712b530cda1bacd028e" title="cfd_shock_schemes::\lcfd_shock_firstorderstag" alt="" coords="476,1207,641,1249"/>
<area shape="rect" id="node37" href="namespacecfd__shock__schemes.html#ab71d9add0c1a003f8b87d1f91f86d9de" title="cfd_shock_schemes::\lcfd_shock_muscl_cc" alt="" coords="483,1273,634,1314"/>
<area shape="rect" id="node39" href="namespacecfd__shock__scalar__schemes.html#a876ab71da8921e7f936960a5e57c222b" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_lf" alt="" coords="467,1011,651,1053"/>
<area shape="rect" id="node41" href="namespacecfd__shock__scalar__schemes.html#ac71abfa4c485b11263411d7a1e3e3a05" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_hll" alt="" coords="467,1077,651,1118"/>
<area shape="rect" id="node43" href="namespacecfd__shock__scalar__schemes.html#a35da91251c1664a5345089ada2c6b5ac" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_hllc" alt="" coords="467,1142,651,1183"/>
<area shape="rect" id="node36" href="namespacecfd__shock__schemes.html#aba7b0ae349ec30ab904a0a12f2d649fc" title="cfd_shock_schemes::\linterpolatetvdu" alt="" coords="737,1266,888,1307"/>
<area shape="rect" id="node35" href="namespacelink__metric__generic__simple.html#aa0831b85cdbf713a91c91308827a70b9" title="link_metric_generic\l_simple::link_metric\l_generic_to_alt" alt="" coords="982,1193,1121,1249"/>
<area shape="rect" id="node38" href="namespacecfd__shock__schemes.html#a8b5b35e8fad4378cbe720cb71cfaf0bc" title="cfd_shock_schemes::\lreconstructmuscl" alt="" coords="737,1331,888,1373"/>
<area shape="rect" id="node40" href="cfd__shock__density__schemes_8f90.html#abb3f849cb7833955c4bd357e237bb752" title="get_flux_lf" alt="" coords="771,1048,854,1075"/>
<area shape="rect" id="node42" href="cfd__shock__density__schemes_8f90.html#ac5a4df1c67c45268055a4ae0638df708" title="get_flux_hll" alt="" coords="769,1099,857,1125"/>
<area shape="rect" id="node44" href="cfd__advection__schemes_8f90.html#a78f27930788f7dfeb8356d2625197e72" title="get_flux_hllc" alt="" coords="765,1149,860,1176"/>
<area shape="rect" id="node48" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="493,1411,625,1453"/>
<area shape="rect" id="node49" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="492,1477,625,1533"/>
<area shape="rect" id="node50" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="477,1557,641,1584"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__shock__scalar_acbb9b68bffb6bdf6e93cf118e04b93d4_icgraph.png" border="0" usemap="#namespacecfd__shock__scalar_acbb9b68bffb6bdf6e93cf118e04b93d4_icgraph" alt=""/></div>
<map name="namespacecfd__shock__scalar_acbb9b68bffb6bdf6e93cf118e04b93d4_icgraph" id="namespacecfd__shock__scalar_acbb9b68bffb6bdf6e93cf118e04b93d4_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__rk__solver.html#a941b00e290ef2a334633df68bf01a06c" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_scalar_step" alt="" coords="220,5,403,47"/>
<area shape="rect" id="node4" href="namespacecfd__rk__solver.html#a18a35d92db01eb02741e4d68bc503ebc" title="cfd_rk_solver::cfd\l_rk_scalar_step" alt="" coords="248,71,375,112"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__rk__solver.html#abf93a380ef80282439892dc1216a6b30" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_step" alt="" coords="451,5,593,47"/>
</map>
</div>

</div>
</div>
<a id="a7a339b46f5fcf037e42911a406c185de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a339b46f5fcf037e42911a406c185de">&#9670;&nbsp;</a></span>scalar_quick_sc_residual()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_shock_scalar::scalar_quick_sc_residual </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd">apply_bc()</a>, <a class="el" href="namespacecfd__hybrid__conv.html#a7de390e919ecb1406d0263f88acd2f94">cfd_hybrid_conv::cfd_hybrid_scalar()</a>, <a class="el" href="namespacecfd__shock__scalar__schemes.html#a5edfe3bca726a0533e40ca4dff1cedcd">cfd_shock_scalar_schemes::cfd_shock_scalar_scheme()</a>, <a class="el" href="namespacelink__metric__generic.html#a61d3672adefc78b1c70c4c67cd61d8fb">link_metric_generic::div_u_fv</a>, <a class="el" href="namespacelink__metric__generic.html#a6e8a3844bdeb012c65b2e1dbec3b812a">link_metric_generic::div_v_fv</a>, <a class="el" href="namespacelink__metric__generic.html#ad1aa14a241747db97a5899ba867be926">link_metric_generic::div_w_fv</a>, <a class="el" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851">scalar_defs::get_scalar()</a>, <a class="el" href="namespacelink__metric__generic.html#acd2609653671636064c4f879703b7380">link_metric_generic::grad_x</a>, <a class="el" href="namespacelink__metric__generic.html#a7cd28559335ee3d4e67220e556c4dea7">link_metric_generic::grad_y</a>, <a class="el" href="namespacelink__metric__generic.html#ab7f33811c3c14f29916ef2f97ff617e0">link_metric_generic::grad_z</a>, <a class="el" href="namespacelink__metric__generic.html#a631df29052d75ffebf401f9002acdeeb">link_metric_generic::interp_sc_x</a>, <a class="el" href="namespacelink__metric__generic.html#ac0a3ec81a980c341e07c56a843837c78">link_metric_generic::interp_sc_y</a>, <a class="el" href="namespacelink__metric__generic.html#aae07af3a1e3f2de8c576e08c998c4546">link_metric_generic::interp_sc_z</a>, <a class="el" href="namespacelink__metric__generic.html#a4174267708c28fcd358fb4fe18b12e13">link_metric_generic::link_metric_generic_to()</a>, <a class="el" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623">link_sd::link_sd_to()</a>, <a class="el" href="namespacelink__solver__quick.html#acc93011f837a906e290ca7955b1f12b6">link_solver_quick::quick_xm</a>, <a class="el" href="namespacelink__solver__quick.html#a05d368bc5973ce1cd4b918cd54341610">link_solver_quick::quick_xp</a>, <a class="el" href="namespacelink__solver__quick.html#a66ad47cddef085c9e78d02ae48e3607b">link_solver_quick::quick_ym</a>, <a class="el" href="namespacelink__solver__quick.html#a608681c039eac621f15e82f9b67665c6">link_solver_quick::quick_yp</a>, <a class="el" href="namespacelink__solver__quick.html#af35772217819a3c843a8040d6ace1ffb">link_solver_quick::quick_zm</a>, <a class="el" href="namespacelink__solver__quick.html#a489b613f046b3bdf379e6514dbe252e8">link_solver_quick::quick_zp</a>, <a class="el" href="namespacescalar__bc__m.html#a6fe324335a738fc85ab17490a72eab7b">scalar_bc_m::scalar_bc_coeff_mixed()</a>, <a class="el" href="namespacescalar__quick__func.html#ab5a63f4f35bef272be93fc0d4965e915">scalar_quick_func::scalar_quick_coeff()</a>, <a class="el" href="namespacescalar__quick__func.html#aea68da8d4d095e99cabf53855c182eb8">scalar_quick_func::scalar_quick_free_memory()</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>, <a class="el" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c">timing_func::timing_start()</a>, and <a class="el" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f">timing_func::timing_stop()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__shock__scalar_a7a339b46f5fcf037e42911a406c185de_cgraph.png" border="0" usemap="#namespacecfd__shock__scalar_a7a339b46f5fcf037e42911a406c185de_cgraph" alt=""/></div>
<map name="namespacecfd__shock__scalar_a7a339b46f5fcf037e42911a406c185de_cgraph" id="namespacecfd__shock__scalar_a7a339b46f5fcf037e42911a406c185de_cgraph">
<area shape="rect" id="node2" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd" title="apply_bc" alt="" coords="275,520,350,547"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__conv.html#a7de390e919ecb1406d0263f88acd2f94" title="cfd_hybrid_conv::cfd\l_hybrid_scalar" alt="" coords="241,571,384,613"/>
<area shape="rect" id="node7" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623" title="link_sd::link_sd_to" alt="" coords="747,800,878,827"/>
<area shape="rect" id="node29" href="namespacecfd__shock__scalar__schemes.html#a5edfe3bca726a0533e40ca4dff1cedcd" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_scheme" alt="" coords="220,1015,405,1057"/>
<area shape="rect" id="node31" href="namespacelink__metric__generic.html#a4174267708c28fcd358fb4fe18b12e13" title="link_metric_generic\l::link_metric_generic_to" alt="" coords="733,1014,893,1055"/>
<area shape="rect" id="node37" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="234,1229,391,1256"/>
<area shape="rect" id="node38" href="namespacescalar__bc__m.html#a6fe324335a738fc85ab17490a72eab7b" title="scalar_bc_m::scalar\l_bc_coeff_mixed" alt="" coords="243,1350,382,1391"/>
<area shape="rect" id="node39" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="493,1230,625,1271"/>
<area shape="rect" id="node45" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="477,1492,641,1519"/>
<area shape="rect" id="node46" href="namespacescalar__quick__func.html#ab5a63f4f35bef272be93fc0d4965e915" title="scalar_quick_func::\lscalar_quick_coeff" alt="" coords="245,1543,380,1585"/>
<area shape="rect" id="node50" href="namespacescalar__quick__func.html#aea68da8d4d095e99cabf53855c182eb8" title="scalar_quick_func::\lscalar_quick_free_memory" alt="" coords="223,1609,402,1650"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__conv__weno3.html#a6c297ab06dd82362aeaee29435844d2f" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_coeff" alt="" coords="473,155,644,197"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__conv__weno3.html#a29e467aab409f3075be0ee9b7d8dcabb" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_flux" alt="" coords="477,342,640,383"/>
<area shape="rect" id="node14" href="namespacecfd__hybrid__conv__weno5.html#a53b4d04469f111ed15d7b1c5be7d43ac" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_coeff" alt="" coords="473,407,644,449"/>
<area shape="rect" id="node19" href="namespacecfd__hybrid__conv__weno5.html#aab4fc365cd08e39cb3e358a716e9a9a9" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_flux" alt="" coords="477,473,640,514"/>
<area shape="rect" id="node20" href="namespacecfd__hybrid__conv__weno5symbo.html#ab04e88688c59f1f26c106e2361786f9b" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_coeff" alt="" coords="453,538,664,579"/>
<area shape="rect" id="node25" href="namespacecfd__hybrid__conv__weno5symbo.html#a042283c12fa674c3429446ebb9a7f3f3" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_flux" alt="" coords="457,603,660,645"/>
<area shape="rect" id="node26" href="namespacecfd__hybrid__conv__weno5symoo.html#ad47f931517c8ebc101b61174560a4b08" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_coeff" alt="" coords="453,669,664,710"/>
<area shape="rect" id="node28" href="namespacecfd__hybrid__conv__weno5symoo.html#a5f521b49275d5692a09e8122103c2f72" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_flux" alt="" coords="457,734,660,775"/>
<area shape="rect" id="node5" href="cfd__hybrid__conv__weno3_8f90.html#a22617f53982044a2a73090a32b2e9bea" title="apply_weno3_bc" alt="" coords="753,5,872,32"/>
<area shape="rect" id="node6" href="namespacelink__hybrid__weno3.html#ae5a58107dd3fdfb8b69ad5c37004aa94" title="link_hybrid_weno3::\llink_hybrid_weno3_to" alt="" coords="739,57,886,98"/>
<area shape="rect" id="node11" href="namespacecfd__hybrid__conv__weno3.html#ae7d8750fe3b316286f3854f6d39786a0" title="cfd_hybrid_conv_weno3\l::timeslopelimiter" alt="" coords="731,122,894,163"/>
<area shape="rect" id="node12" href="namespacelink__hybrid__weno3.html#a4e6b6ac4e6dd1ad161d6ba1e2fde2dca" title="link_hybrid_weno3::\lunlink_hybrid_weno3" alt="" coords="741,187,884,229"/>
<area shape="rect" id="node8" href="namespacelink__partition.html#a80c874965306080521411b5c4725e958" title="link_partition::link\l_partition_to" alt="" coords="990,727,1113,769"/>
<area shape="rect" id="node9" href="namespacelink__geometry.html#a414b35fc02467135477daee3901f0e1e" title="link_geometry::link\l_geometry_to" alt="" coords="986,793,1117,834"/>
<area shape="rect" id="node10" href="namespacelink__masks.html#a6d5f311b77771cc521bb3d1b50c608fa" title="link_masks::link_masks_to" alt="" coords="961,859,1141,885"/>
<area shape="rect" id="node15" href="cfd__hybrid__conv__weno5_8f90.html#ac7166c5326e786da02bebb9cbd4d3628" title="apply_weno5_bc" alt="" coords="753,253,872,280"/>
<area shape="rect" id="node16" href="namespacelink__hybrid__weno5.html#a68bf5b362a0be00d3f8563f24bad37a0" title="link_hybrid_weno5::\llink_hybrid_weno5_to" alt="" coords="739,305,886,346"/>
<area shape="rect" id="node17" href="namespacecfd__hybrid__conv__weno5.html#abf00e5ca8af165a302c0ce5a0ae3406a" title="cfd_hybrid_conv_weno5\l::timeslopelimiter" alt="" coords="731,370,894,411"/>
<area shape="rect" id="node18" href="namespacelink__hybrid__weno5.html#a9a74c7b05d97c5bb7e7d13a215a820e8" title="link_hybrid_weno5::\lunlink_hybrid_weno5" alt="" coords="741,435,884,477"/>
<area shape="rect" id="node21" href="cfd__hybrid__conv__weno5__symbo_8f90.html#aec04893a196b3ed1003b9dfc1de536e1" title="apply_weno5symbo_bc" alt="" coords="733,501,892,528"/>
<area shape="rect" id="node22" href="namespacelink__hybrid__weno5symbo.html#a74b18f83ee1f7b5ae25f560f9f8076be" title="link_hybrid_weno5symbo\l::link_hybrid_weno5symbo_to" alt="" coords="715,553,910,594"/>
<area shape="rect" id="node23" href="namespacecfd__hybrid__conv__weno5symbo.html#a83d9db14739aa426ba5de4ed6cf18f0e" title="cfd_hybrid_conv_weno5symbo\l::timeslopelimiter" alt="" coords="712,618,913,659"/>
<area shape="rect" id="node24" href="namespacelink__hybrid__weno5symbo.html#a91b6b54618c62e442055fd0f805ae9f4" title="link_hybrid_weno5symbo\l::unlink_hybrid_weno5symbo" alt="" coords="717,683,908,725"/>
<area shape="rect" id="node27" href="cfd__hybrid__conv__weno5__symoo_8f90.html#ad8b8d0c03a0847f0657f3f3d92c63c55" title="apply_weno5symoo_bc" alt="" coords="733,749,892,776"/>
<area shape="rect" id="node30" href="namespacecfd__shock__schemes.html#a523bf6447d713712b530cda1bacd028e" title="cfd_shock_schemes::\lcfd_shock_firstorderstag" alt="" coords="476,1047,641,1089"/>
<area shape="rect" id="node33" href="namespacecfd__shock__schemes.html#ab71d9add0c1a003f8b87d1f91f86d9de" title="cfd_shock_schemes::\lcfd_shock_muscl_cc" alt="" coords="483,1113,634,1154"/>
<area shape="rect" id="node34" href="namespacecfd__shock__scalar__schemes.html#a876ab71da8921e7f936960a5e57c222b" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_lf" alt="" coords="467,851,651,893"/>
<area shape="rect" id="node35" href="namespacecfd__shock__scalar__schemes.html#ac71abfa4c485b11263411d7a1e3e3a05" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_hll" alt="" coords="467,917,651,958"/>
<area shape="rect" id="node36" href="namespacecfd__shock__scalar__schemes.html#a35da91251c1664a5345089ada2c6b5ac" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_hllc" alt="" coords="467,982,651,1023"/>
<area shape="rect" id="node32" href="namespacelink__metric__generic__simple.html#aa0831b85cdbf713a91c91308827a70b9" title="link_metric_generic\l_simple::link_metric\l_generic_to_alt" alt="" coords="982,1007,1121,1063"/>
<area shape="rect" id="node42" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="495,1295,623,1337"/>
<area shape="rect" id="node43" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="492,1361,625,1417"/>
<area shape="rect" id="node44" href="namespaceparser.html#a37469d8ebb80992941bd709e551b98ef" title="parser::check_param" alt="" coords="487,1441,631,1468"/>
<area shape="rect" id="node40" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="747,1341,879,1382"/>
<area shape="rect" id="node41" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="1032,1348,1071,1375"/>
<area shape="rect" id="node47" href="namespacelink__solver__quick.html#ac99042ef7c0aea245d3caa8681169f4a" title="link_solver_quick::\lunlink_solver_quick" alt="" coords="491,1543,627,1585"/>
<area shape="rect" id="node48" href="namespacelink__solver__quick.html#a467d0cbd5d8debb29d56ac89b8f45234" title="link_solver_quick::\llink_solver_quick_to" alt="" coords="489,1609,629,1650"/>
<area shape="rect" id="node49" href="namespacescalar__quick__func.html#a8df4c14a049b9d1efb5093e725f9bfba" title="scalar_quick_func::\lscalar_quick_coeff_1d" alt="" coords="483,1674,635,1715"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__shock__scalar_a7a339b46f5fcf037e42911a406c185de_icgraph.png" border="0" usemap="#namespacecfd__shock__scalar_a7a339b46f5fcf037e42911a406c185de_icgraph" alt=""/></div>
<map name="namespacecfd__shock__scalar_a7a339b46f5fcf037e42911a406c185de_icgraph" id="namespacecfd__shock__scalar_a7a339b46f5fcf037e42911a406c185de_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__rk__solver.html#a941b00e290ef2a334633df68bf01a06c" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_scalar_step" alt="" coords="220,5,403,47"/>
<area shape="rect" id="node4" href="namespacecfd__rk__solver.html#a18a35d92db01eb02741e4d68bc503ebc" title="cfd_rk_solver::cfd\l_rk_scalar_step" alt="" coords="248,71,375,112"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__rk__solver.html#abf93a380ef80282439892dc1216a6b30" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_step" alt="" coords="451,5,593,47"/>
</map>
</div>

</div>
</div>
<a id="a5d3e31d1466f29be876778fcd2fd7e6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d3e31d1466f29be876778fcd2fd7e6f">&#9670;&nbsp;</a></span>scalar_weno3_sc_residual()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_shock_scalar::scalar_weno3_sc_residual </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd">apply_bc()</a>, <a class="el" href="namespacecfd__hybrid__conv.html#a7de390e919ecb1406d0263f88acd2f94">cfd_hybrid_conv::cfd_hybrid_scalar()</a>, <a class="el" href="namespacecfd__shock__scalar__schemes.html#a5edfe3bca726a0533e40ca4dff1cedcd">cfd_shock_scalar_schemes::cfd_shock_scalar_scheme()</a>, <a class="el" href="namespacelink__metric__generic.html#a61d3672adefc78b1c70c4c67cd61d8fb">link_metric_generic::div_u_fv</a>, <a class="el" href="namespacelink__metric__generic.html#a6e8a3844bdeb012c65b2e1dbec3b812a">link_metric_generic::div_v_fv</a>, <a class="el" href="namespacelink__metric__generic.html#ad1aa14a241747db97a5899ba867be926">link_metric_generic::div_w_fv</a>, <a class="el" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851">scalar_defs::get_scalar()</a>, <a class="el" href="namespacelink__metric__generic.html#acd2609653671636064c4f879703b7380">link_metric_generic::grad_x</a>, <a class="el" href="namespacelink__metric__generic.html#a7cd28559335ee3d4e67220e556c4dea7">link_metric_generic::grad_y</a>, <a class="el" href="namespacelink__metric__generic.html#ab7f33811c3c14f29916ef2f97ff617e0">link_metric_generic::grad_z</a>, <a class="el" href="namespacelink__metric__generic.html#a631df29052d75ffebf401f9002acdeeb">link_metric_generic::interp_sc_x</a>, <a class="el" href="namespacelink__metric__generic.html#ac0a3ec81a980c341e07c56a843837c78">link_metric_generic::interp_sc_y</a>, <a class="el" href="namespacelink__metric__generic.html#aae07af3a1e3f2de8c576e08c998c4546">link_metric_generic::interp_sc_z</a>, <a class="el" href="namespacelink__metric__generic.html#a4174267708c28fcd358fb4fe18b12e13">link_metric_generic::link_metric_generic_to()</a>, <a class="el" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623">link_sd::link_sd_to()</a>, <a class="el" href="namespacescalar__bc__m.html#a6fe324335a738fc85ab17490a72eab7b">scalar_bc_m::scalar_bc_coeff_mixed()</a>, <a class="el" href="namespacescalar__weno3__func.html#abca989a7ee3b7e42c4956d95bcfa92ee">scalar_weno3_func::scalar_weno3_coeff()</a>, <a class="el" href="namespacescalar__weno3__func.html#a5ad48a48a2e421f692fe092182df3ea5">scalar_weno3_func::scalar_weno3_free_memory()</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>, <a class="el" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c">timing_func::timing_start()</a>, <a class="el" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f">timing_func::timing_stop()</a>, <a class="el" href="namespacelink__solver__weno3.html#aea954dfa4f7d187315ed0f0d9c5546a9">link_solver_weno3::weno3_xm</a>, <a class="el" href="namespacelink__solver__weno3.html#a4151e1e8541d6ff51cf7d297459e8d17">link_solver_weno3::weno3_xp</a>, <a class="el" href="namespacelink__solver__weno3.html#a97a7e54104d8c89c77d5dfaf76fff9dc">link_solver_weno3::weno3_ym</a>, <a class="el" href="namespacelink__solver__weno3.html#a1571a65d4fa62c3a1aebcb0aa2a8743c">link_solver_weno3::weno3_yp</a>, <a class="el" href="namespacelink__solver__weno3.html#a931aba73818bfd8c103a54235704d180">link_solver_weno3::weno3_zm</a>, and <a class="el" href="namespacelink__solver__weno3.html#a7716d397ce16a16d3b9b27fdf63ecd62">link_solver_weno3::weno3_zp</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__shock__scalar_a5d3e31d1466f29be876778fcd2fd7e6f_cgraph.png" border="0" usemap="#namespacecfd__shock__scalar_a5d3e31d1466f29be876778fcd2fd7e6f_cgraph" alt=""/></div>
<map name="namespacecfd__shock__scalar_a5d3e31d1466f29be876778fcd2fd7e6f_cgraph" id="namespacecfd__shock__scalar_a5d3e31d1466f29be876778fcd2fd7e6f_cgraph">
<area shape="rect" id="node2" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd" title="apply_bc" alt="" coords="275,541,350,568"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__conv.html#a7de390e919ecb1406d0263f88acd2f94" title="cfd_hybrid_conv::cfd\l_hybrid_scalar" alt="" coords="241,593,384,634"/>
<area shape="rect" id="node7" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623" title="link_sd::link_sd_to" alt="" coords="747,867,878,893"/>
<area shape="rect" id="node30" href="namespacecfd__shock__scalar__schemes.html#a5edfe3bca726a0533e40ca4dff1cedcd" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_scheme" alt="" coords="220,1035,405,1077"/>
<area shape="rect" id="node32" href="namespacelink__metric__generic.html#a4174267708c28fcd358fb4fe18b12e13" title="link_metric_generic\l::link_metric_generic_to" alt="" coords="733,1035,893,1077"/>
<area shape="rect" id="node38" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="234,1251,391,1277"/>
<area shape="rect" id="node39" href="namespacescalar__bc__m.html#a6fe324335a738fc85ab17490a72eab7b" title="scalar_bc_m::scalar\l_bc_coeff_mixed" alt="" coords="243,1365,382,1406"/>
<area shape="rect" id="node40" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="493,1251,625,1293"/>
<area shape="rect" id="node46" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="477,1513,641,1540"/>
<area shape="rect" id="node47" href="namespacescalar__weno3__func.html#abca989a7ee3b7e42c4956d95bcfa92ee" title="scalar_weno3_func::\lscalar_weno3_coeff" alt="" coords="241,1553,384,1594"/>
<area shape="rect" id="node50" href="namespacescalar__weno3__func.html#a5ad48a48a2e421f692fe092182df3ea5" title="scalar_weno3_func::\lscalar_weno3_free_memory" alt="" coords="220,1618,405,1659"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__conv__weno3.html#a6c297ab06dd82362aeaee29435844d2f" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_coeff" alt="" coords="473,155,644,197"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__conv__weno3.html#a29e467aab409f3075be0ee9b7d8dcabb" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_flux" alt="" coords="477,363,640,405"/>
<area shape="rect" id="node14" href="namespacecfd__hybrid__conv__weno5.html#a53b4d04469f111ed15d7b1c5be7d43ac" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_coeff" alt="" coords="473,429,644,470"/>
<area shape="rect" id="node19" href="namespacecfd__hybrid__conv__weno5.html#aab4fc365cd08e39cb3e358a716e9a9a9" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_flux" alt="" coords="477,494,640,535"/>
<area shape="rect" id="node20" href="namespacecfd__hybrid__conv__weno5symbo.html#ab04e88688c59f1f26c106e2361786f9b" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_coeff" alt="" coords="453,559,664,601"/>
<area shape="rect" id="node25" href="namespacecfd__hybrid__conv__weno5symbo.html#a042283c12fa674c3429446ebb9a7f3f3" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_flux" alt="" coords="457,625,660,666"/>
<area shape="rect" id="node26" href="namespacecfd__hybrid__conv__weno5symoo.html#ad47f931517c8ebc101b61174560a4b08" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_coeff" alt="" coords="453,690,664,731"/>
<area shape="rect" id="node29" href="namespacecfd__hybrid__conv__weno5symoo.html#a5f521b49275d5692a09e8122103c2f72" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_flux" alt="" coords="457,755,660,797"/>
<area shape="rect" id="node5" href="cfd__hybrid__conv__weno3_8f90.html#a22617f53982044a2a73090a32b2e9bea" title="apply_weno3_bc" alt="" coords="753,5,872,32"/>
<area shape="rect" id="node6" href="namespacelink__hybrid__weno3.html#ae5a58107dd3fdfb8b69ad5c37004aa94" title="link_hybrid_weno3::\llink_hybrid_weno3_to" alt="" coords="739,57,886,98"/>
<area shape="rect" id="node11" href="namespacecfd__hybrid__conv__weno3.html#ae7d8750fe3b316286f3854f6d39786a0" title="cfd_hybrid_conv_weno3\l::timeslopelimiter" alt="" coords="731,122,894,163"/>
<area shape="rect" id="node12" href="namespacelink__hybrid__weno3.html#a4e6b6ac4e6dd1ad161d6ba1e2fde2dca" title="link_hybrid_weno3::\lunlink_hybrid_weno3" alt="" coords="741,187,884,229"/>
<area shape="rect" id="node8" href="namespacelink__partition.html#a80c874965306080521411b5c4725e958" title="link_partition::link\l_partition_to" alt="" coords="990,794,1113,835"/>
<area shape="rect" id="node9" href="namespacelink__geometry.html#a414b35fc02467135477daee3901f0e1e" title="link_geometry::link\l_geometry_to" alt="" coords="986,859,1117,901"/>
<area shape="rect" id="node10" href="namespacelink__masks.html#a6d5f311b77771cc521bb3d1b50c608fa" title="link_masks::link_masks_to" alt="" coords="961,925,1141,952"/>
<area shape="rect" id="node15" href="cfd__hybrid__conv__weno5_8f90.html#ac7166c5326e786da02bebb9cbd4d3628" title="apply_weno5_bc" alt="" coords="753,253,872,280"/>
<area shape="rect" id="node16" href="namespacelink__hybrid__weno5.html#a68bf5b362a0be00d3f8563f24bad37a0" title="link_hybrid_weno5::\llink_hybrid_weno5_to" alt="" coords="739,305,886,346"/>
<area shape="rect" id="node17" href="namespacecfd__hybrid__conv__weno5.html#abf00e5ca8af165a302c0ce5a0ae3406a" title="cfd_hybrid_conv_weno5\l::timeslopelimiter" alt="" coords="731,370,894,411"/>
<area shape="rect" id="node18" href="namespacelink__hybrid__weno5.html#a9a74c7b05d97c5bb7e7d13a215a820e8" title="link_hybrid_weno5::\lunlink_hybrid_weno5" alt="" coords="741,435,884,477"/>
<area shape="rect" id="node21" href="cfd__hybrid__conv__weno5__symbo_8f90.html#aec04893a196b3ed1003b9dfc1de536e1" title="apply_weno5symbo_bc" alt="" coords="733,501,892,528"/>
<area shape="rect" id="node22" href="namespacelink__hybrid__weno5symbo.html#a74b18f83ee1f7b5ae25f560f9f8076be" title="link_hybrid_weno5symbo\l::link_hybrid_weno5symbo_to" alt="" coords="715,553,910,594"/>
<area shape="rect" id="node23" href="namespacecfd__hybrid__conv__weno5symbo.html#a83d9db14739aa426ba5de4ed6cf18f0e" title="cfd_hybrid_conv_weno5symbo\l::timeslopelimiter" alt="" coords="712,618,913,659"/>
<area shape="rect" id="node24" href="namespacelink__hybrid__weno5symbo.html#a91b6b54618c62e442055fd0f805ae9f4" title="link_hybrid_weno5symbo\l::unlink_hybrid_weno5symbo" alt="" coords="717,683,908,725"/>
<area shape="rect" id="node27" href="cfd__hybrid__conv__weno5__symoo_8f90.html#ad8b8d0c03a0847f0657f3f3d92c63c55" title="apply_weno5symoo_bc" alt="" coords="733,749,892,776"/>
<area shape="rect" id="node28" href="namespacelink__hybrid__weno5symoo.html#a2ac87e5a2a0e94eb97d0241800d40a66" title="link_hybrid_weno5symoo\l::link_hybrid_weno5symoo_to" alt="" coords="715,801,910,842"/>
<area shape="rect" id="node31" href="namespacecfd__shock__schemes.html#a523bf6447d713712b530cda1bacd028e" title="cfd_shock_schemes::\lcfd_shock_firstorderstag" alt="" coords="476,1069,641,1110"/>
<area shape="rect" id="node34" href="namespacecfd__shock__schemes.html#ab71d9add0c1a003f8b87d1f91f86d9de" title="cfd_shock_schemes::\lcfd_shock_muscl_cc" alt="" coords="483,1134,634,1175"/>
<area shape="rect" id="node35" href="namespacecfd__shock__scalar__schemes.html#a876ab71da8921e7f936960a5e57c222b" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_lf" alt="" coords="467,873,651,914"/>
<area shape="rect" id="node36" href="namespacecfd__shock__scalar__schemes.html#ac71abfa4c485b11263411d7a1e3e3a05" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_hll" alt="" coords="467,938,651,979"/>
<area shape="rect" id="node37" href="namespacecfd__shock__scalar__schemes.html#a35da91251c1664a5345089ada2c6b5ac" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_hllc" alt="" coords="467,1003,651,1045"/>
<area shape="rect" id="node33" href="namespacelink__metric__generic__simple.html#aa0831b85cdbf713a91c91308827a70b9" title="link_metric_generic\l_simple::link_metric\l_generic_to_alt" alt="" coords="982,1028,1121,1084"/>
<area shape="rect" id="node43" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="495,1317,623,1358"/>
<area shape="rect" id="node44" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="492,1383,625,1439"/>
<area shape="rect" id="node45" href="namespaceparser.html#a37469d8ebb80992941bd709e551b98ef" title="parser::check_param" alt="" coords="487,1463,631,1489"/>
<area shape="rect" id="node41" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="747,1362,879,1403"/>
<area shape="rect" id="node42" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="1032,1369,1071,1396"/>
<area shape="rect" id="node48" href="namespacelink__solver__weno3.html#affca7acb43686f295f667954acff4da4" title="link_solver_weno3::\lunlink_solver_weno3" alt="" coords="487,1565,630,1606"/>
<area shape="rect" id="node49" href="namespacelink__solver__weno3.html#af00601ea88efdf2c5f63a644725dc53c" title="link_solver_weno3::\llink_solver_weno3_to" alt="" coords="485,1630,632,1671"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__shock__scalar_a5d3e31d1466f29be876778fcd2fd7e6f_icgraph.png" border="0" usemap="#namespacecfd__shock__scalar_a5d3e31d1466f29be876778fcd2fd7e6f_icgraph" alt=""/></div>
<map name="namespacecfd__shock__scalar_a5d3e31d1466f29be876778fcd2fd7e6f_icgraph" id="namespacecfd__shock__scalar_a5d3e31d1466f29be876778fcd2fd7e6f_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__rk__solver.html#a941b00e290ef2a334633df68bf01a06c" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_scalar_step" alt="" coords="220,5,403,47"/>
<area shape="rect" id="node4" href="namespacecfd__rk__solver.html#a18a35d92db01eb02741e4d68bc503ebc" title="cfd_rk_solver::cfd\l_rk_scalar_step" alt="" coords="248,71,375,112"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__rk__solver.html#abf93a380ef80282439892dc1216a6b30" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_step" alt="" coords="451,5,593,47"/>
</map>
</div>

</div>
</div>
<a id="aca78d082cd551258d36e0e0e491b6e5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca78d082cd551258d36e0e0e491b6e5e">&#9670;&nbsp;</a></span>scalar_weno5_sc_residual()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_shock_scalar::scalar_weno5_sc_residual </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd">apply_bc()</a>, <a class="el" href="namespacecfd__hybrid__conv.html#a7de390e919ecb1406d0263f88acd2f94">cfd_hybrid_conv::cfd_hybrid_scalar()</a>, <a class="el" href="namespacecfd__shock__scalar__schemes.html#a5edfe3bca726a0533e40ca4dff1cedcd">cfd_shock_scalar_schemes::cfd_shock_scalar_scheme()</a>, <a class="el" href="namespacelink__metric__generic.html#a61d3672adefc78b1c70c4c67cd61d8fb">link_metric_generic::div_u_fv</a>, <a class="el" href="namespacelink__metric__generic.html#a6e8a3844bdeb012c65b2e1dbec3b812a">link_metric_generic::div_v_fv</a>, <a class="el" href="namespacelink__metric__generic.html#ad1aa14a241747db97a5899ba867be926">link_metric_generic::div_w_fv</a>, <a class="el" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851">scalar_defs::get_scalar()</a>, <a class="el" href="namespacelink__metric__generic.html#acd2609653671636064c4f879703b7380">link_metric_generic::grad_x</a>, <a class="el" href="namespacelink__metric__generic.html#a7cd28559335ee3d4e67220e556c4dea7">link_metric_generic::grad_y</a>, <a class="el" href="namespacelink__metric__generic.html#ab7f33811c3c14f29916ef2f97ff617e0">link_metric_generic::grad_z</a>, <a class="el" href="namespacelink__metric__generic.html#a631df29052d75ffebf401f9002acdeeb">link_metric_generic::interp_sc_x</a>, <a class="el" href="namespacelink__metric__generic.html#ac0a3ec81a980c341e07c56a843837c78">link_metric_generic::interp_sc_y</a>, <a class="el" href="namespacelink__metric__generic.html#aae07af3a1e3f2de8c576e08c998c4546">link_metric_generic::interp_sc_z</a>, <a class="el" href="namespacelink__metric__generic.html#a4174267708c28fcd358fb4fe18b12e13">link_metric_generic::link_metric_generic_to()</a>, <a class="el" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623">link_sd::link_sd_to()</a>, <a class="el" href="namespacescalar__bc__m.html#a6fe324335a738fc85ab17490a72eab7b">scalar_bc_m::scalar_bc_coeff_mixed()</a>, <a class="el" href="namespacescalar__weno5__func.html#a90cfdf9ee05544bd0c390a954cefe517">scalar_weno5_func::scalar_weno5_coeff()</a>, <a class="el" href="namespacescalar__weno5__func.html#abed9e16d52c57520b66885bdfda2fbe2">scalar_weno5_func::scalar_weno5_free_memory()</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>, <a class="el" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c">timing_func::timing_start()</a>, <a class="el" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f">timing_func::timing_stop()</a>, <a class="el" href="namespacelink__solver__weno5.html#abd9d002665ecbcee02ccd934f17c0715">link_solver_weno5::weno5_xm</a>, <a class="el" href="namespacelink__solver__weno5.html#a49b84dbcda4af80e3e2b18cf560aa3a3">link_solver_weno5::weno5_xp</a>, <a class="el" href="namespacelink__solver__weno5.html#a0ed94338aaa97047462d2cd58c8e4d9e">link_solver_weno5::weno5_ym</a>, <a class="el" href="namespacelink__solver__weno5.html#ade9955e19540e64bc95b0bd54b492463">link_solver_weno5::weno5_yp</a>, <a class="el" href="namespacelink__solver__weno5.html#a465a13ce47573c12b710207c592bab28">link_solver_weno5::weno5_zm</a>, and <a class="el" href="namespacelink__solver__weno5.html#afe58d11efd5e4a5aeea710ce3671e6f6">link_solver_weno5::weno5_zp</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__shock__scalar_aca78d082cd551258d36e0e0e491b6e5e_cgraph.png" border="0" usemap="#namespacecfd__shock__scalar_aca78d082cd551258d36e0e0e491b6e5e_cgraph" alt=""/></div>
<map name="namespacecfd__shock__scalar_aca78d082cd551258d36e0e0e491b6e5e_cgraph" id="namespacecfd__shock__scalar_aca78d082cd551258d36e0e0e491b6e5e_cgraph">
<area shape="rect" id="node2" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd" title="apply_bc" alt="" coords="275,541,350,568"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__conv.html#a7de390e919ecb1406d0263f88acd2f94" title="cfd_hybrid_conv::cfd\l_hybrid_scalar" alt="" coords="241,593,384,634"/>
<area shape="rect" id="node7" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623" title="link_sd::link_sd_to" alt="" coords="747,867,878,893"/>
<area shape="rect" id="node30" href="namespacecfd__shock__scalar__schemes.html#a5edfe3bca726a0533e40ca4dff1cedcd" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_scheme" alt="" coords="220,1035,405,1077"/>
<area shape="rect" id="node32" href="namespacelink__metric__generic.html#a4174267708c28fcd358fb4fe18b12e13" title="link_metric_generic\l::link_metric_generic_to" alt="" coords="733,1035,893,1077"/>
<area shape="rect" id="node38" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="234,1251,391,1277"/>
<area shape="rect" id="node39" href="namespacescalar__bc__m.html#a6fe324335a738fc85ab17490a72eab7b" title="scalar_bc_m::scalar\l_bc_coeff_mixed" alt="" coords="243,1365,382,1406"/>
<area shape="rect" id="node40" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="493,1251,625,1293"/>
<area shape="rect" id="node46" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="477,1513,641,1540"/>
<area shape="rect" id="node47" href="namespacescalar__weno5__func.html#a90cfdf9ee05544bd0c390a954cefe517" title="scalar_weno5_func::\lscalar_weno5_coeff" alt="" coords="241,1553,384,1594"/>
<area shape="rect" id="node50" href="namespacescalar__weno5__func.html#abed9e16d52c57520b66885bdfda2fbe2" title="scalar_weno5_func::\lscalar_weno5_free_memory" alt="" coords="220,1618,405,1659"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__conv__weno3.html#a6c297ab06dd82362aeaee29435844d2f" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_coeff" alt="" coords="473,155,644,197"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__conv__weno3.html#a29e467aab409f3075be0ee9b7d8dcabb" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_flux" alt="" coords="477,363,640,405"/>
<area shape="rect" id="node14" href="namespacecfd__hybrid__conv__weno5.html#a53b4d04469f111ed15d7b1c5be7d43ac" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_coeff" alt="" coords="473,429,644,470"/>
<area shape="rect" id="node19" href="namespacecfd__hybrid__conv__weno5.html#aab4fc365cd08e39cb3e358a716e9a9a9" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_flux" alt="" coords="477,494,640,535"/>
<area shape="rect" id="node20" href="namespacecfd__hybrid__conv__weno5symbo.html#ab04e88688c59f1f26c106e2361786f9b" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_coeff" alt="" coords="453,559,664,601"/>
<area shape="rect" id="node25" href="namespacecfd__hybrid__conv__weno5symbo.html#a042283c12fa674c3429446ebb9a7f3f3" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_flux" alt="" coords="457,625,660,666"/>
<area shape="rect" id="node26" href="namespacecfd__hybrid__conv__weno5symoo.html#ad47f931517c8ebc101b61174560a4b08" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_coeff" alt="" coords="453,690,664,731"/>
<area shape="rect" id="node29" href="namespacecfd__hybrid__conv__weno5symoo.html#a5f521b49275d5692a09e8122103c2f72" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_flux" alt="" coords="457,755,660,797"/>
<area shape="rect" id="node5" href="cfd__hybrid__conv__weno3_8f90.html#a22617f53982044a2a73090a32b2e9bea" title="apply_weno3_bc" alt="" coords="753,5,872,32"/>
<area shape="rect" id="node6" href="namespacelink__hybrid__weno3.html#ae5a58107dd3fdfb8b69ad5c37004aa94" title="link_hybrid_weno3::\llink_hybrid_weno3_to" alt="" coords="739,57,886,98"/>
<area shape="rect" id="node11" href="namespacecfd__hybrid__conv__weno3.html#ae7d8750fe3b316286f3854f6d39786a0" title="cfd_hybrid_conv_weno3\l::timeslopelimiter" alt="" coords="731,122,894,163"/>
<area shape="rect" id="node12" href="namespacelink__hybrid__weno3.html#a4e6b6ac4e6dd1ad161d6ba1e2fde2dca" title="link_hybrid_weno3::\lunlink_hybrid_weno3" alt="" coords="741,187,884,229"/>
<area shape="rect" id="node8" href="namespacelink__partition.html#a80c874965306080521411b5c4725e958" title="link_partition::link\l_partition_to" alt="" coords="990,794,1113,835"/>
<area shape="rect" id="node9" href="namespacelink__geometry.html#a414b35fc02467135477daee3901f0e1e" title="link_geometry::link\l_geometry_to" alt="" coords="986,859,1117,901"/>
<area shape="rect" id="node10" href="namespacelink__masks.html#a6d5f311b77771cc521bb3d1b50c608fa" title="link_masks::link_masks_to" alt="" coords="961,925,1141,952"/>
<area shape="rect" id="node15" href="cfd__hybrid__conv__weno5_8f90.html#ac7166c5326e786da02bebb9cbd4d3628" title="apply_weno5_bc" alt="" coords="753,253,872,280"/>
<area shape="rect" id="node16" href="namespacelink__hybrid__weno5.html#a68bf5b362a0be00d3f8563f24bad37a0" title="link_hybrid_weno5::\llink_hybrid_weno5_to" alt="" coords="739,305,886,346"/>
<area shape="rect" id="node17" href="namespacecfd__hybrid__conv__weno5.html#abf00e5ca8af165a302c0ce5a0ae3406a" title="cfd_hybrid_conv_weno5\l::timeslopelimiter" alt="" coords="731,370,894,411"/>
<area shape="rect" id="node18" href="namespacelink__hybrid__weno5.html#a9a74c7b05d97c5bb7e7d13a215a820e8" title="link_hybrid_weno5::\lunlink_hybrid_weno5" alt="" coords="741,435,884,477"/>
<area shape="rect" id="node21" href="cfd__hybrid__conv__weno5__symbo_8f90.html#aec04893a196b3ed1003b9dfc1de536e1" title="apply_weno5symbo_bc" alt="" coords="733,501,892,528"/>
<area shape="rect" id="node22" href="namespacelink__hybrid__weno5symbo.html#a74b18f83ee1f7b5ae25f560f9f8076be" title="link_hybrid_weno5symbo\l::link_hybrid_weno5symbo_to" alt="" coords="715,553,910,594"/>
<area shape="rect" id="node23" href="namespacecfd__hybrid__conv__weno5symbo.html#a83d9db14739aa426ba5de4ed6cf18f0e" title="cfd_hybrid_conv_weno5symbo\l::timeslopelimiter" alt="" coords="712,618,913,659"/>
<area shape="rect" id="node24" href="namespacelink__hybrid__weno5symbo.html#a91b6b54618c62e442055fd0f805ae9f4" title="link_hybrid_weno5symbo\l::unlink_hybrid_weno5symbo" alt="" coords="717,683,908,725"/>
<area shape="rect" id="node27" href="cfd__hybrid__conv__weno5__symoo_8f90.html#ad8b8d0c03a0847f0657f3f3d92c63c55" title="apply_weno5symoo_bc" alt="" coords="733,749,892,776"/>
<area shape="rect" id="node28" href="namespacelink__hybrid__weno5symoo.html#a2ac87e5a2a0e94eb97d0241800d40a66" title="link_hybrid_weno5symoo\l::link_hybrid_weno5symoo_to" alt="" coords="715,801,910,842"/>
<area shape="rect" id="node31" href="namespacecfd__shock__schemes.html#a523bf6447d713712b530cda1bacd028e" title="cfd_shock_schemes::\lcfd_shock_firstorderstag" alt="" coords="476,1069,641,1110"/>
<area shape="rect" id="node34" href="namespacecfd__shock__schemes.html#ab71d9add0c1a003f8b87d1f91f86d9de" title="cfd_shock_schemes::\lcfd_shock_muscl_cc" alt="" coords="483,1134,634,1175"/>
<area shape="rect" id="node35" href="namespacecfd__shock__scalar__schemes.html#a876ab71da8921e7f936960a5e57c222b" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_lf" alt="" coords="467,873,651,914"/>
<area shape="rect" id="node36" href="namespacecfd__shock__scalar__schemes.html#ac71abfa4c485b11263411d7a1e3e3a05" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_hll" alt="" coords="467,938,651,979"/>
<area shape="rect" id="node37" href="namespacecfd__shock__scalar__schemes.html#a35da91251c1664a5345089ada2c6b5ac" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_hllc" alt="" coords="467,1003,651,1045"/>
<area shape="rect" id="node33" href="namespacelink__metric__generic__simple.html#aa0831b85cdbf713a91c91308827a70b9" title="link_metric_generic\l_simple::link_metric\l_generic_to_alt" alt="" coords="982,1028,1121,1084"/>
<area shape="rect" id="node43" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="495,1317,623,1358"/>
<area shape="rect" id="node44" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="492,1383,625,1439"/>
<area shape="rect" id="node45" href="namespaceparser.html#a37469d8ebb80992941bd709e551b98ef" title="parser::check_param" alt="" coords="487,1463,631,1489"/>
<area shape="rect" id="node41" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="747,1362,879,1403"/>
<area shape="rect" id="node42" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="1032,1369,1071,1396"/>
<area shape="rect" id="node48" href="namespacelink__solver__weno5.html#ab4845908eaa5d11374978e3a7402803e" title="link_solver_weno5::\lunlink_solver_weno5" alt="" coords="487,1565,630,1606"/>
<area shape="rect" id="node49" href="namespacelink__solver__weno5.html#a44e55f24f8e9ce607b2c85a524381440" title="link_solver_weno5::\llink_solver_weno5_to" alt="" coords="485,1630,632,1671"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__shock__scalar_aca78d082cd551258d36e0e0e491b6e5e_icgraph.png" border="0" usemap="#namespacecfd__shock__scalar_aca78d082cd551258d36e0e0e491b6e5e_icgraph" alt=""/></div>
<map name="namespacecfd__shock__scalar_aca78d082cd551258d36e0e0e491b6e5e_icgraph" id="namespacecfd__shock__scalar_aca78d082cd551258d36e0e0e491b6e5e_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__rk__solver.html#a941b00e290ef2a334633df68bf01a06c" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_scalar_step" alt="" coords="220,5,403,47"/>
<area shape="rect" id="node4" href="namespacecfd__rk__solver.html#a18a35d92db01eb02741e4d68bc503ebc" title="cfd_rk_solver::cfd\l_rk_scalar_step" alt="" coords="248,71,375,112"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__rk__solver.html#abf93a380ef80282439892dc1216a6b30" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_step" alt="" coords="451,5,593,47"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
